# FO Processing Instruction Reference

$Id: pi.xsl 8487 2009-07-14 21:43:36Z bobstayton $

# Introduction

This is generated reference documentation for all user-specifiable processing instructions (PIs) in the DocBook XSL stylesheets for FO output.

You add these PIs at particular points in a document to cause specific “exceptions” to formatting/output behavior. To make global changes in formatting/output behavior across an entire document, it’s better to do it by setting an appropriate stylesheet parameter (if there is one).

# dbfo_background-color

Sets background color for an image

    dbfo background-color="color"

## Description

Use the `dbfo background-color` PI before or after an image (`graphic`, `inlinegraphic`, `imagedata`, or `videodata` element) as a sibling to the element, to set a background color for the image.

## Parameters

background-color="color"

  An HTML color value

## Related Information in DocBook XSL: The Complete Guide

Background color

# dbfo_bgcolor

Sets background color on a table row or table cell

    dbfo bgcolor="color"

## Description

Use the `dbfo bgcolor` PI as child of a table row or cell to set a background color for that table row or cell.

This PI works for both CALS and HTML tables.

## Parameters

bgcolor="color"

  An HTML color value

## Related Information in DocBook XSL: The Complete Guide

Cell background color

# dbfo_float-type

Specifies float behavior for a sidebar

    dbfo float-type="margin.note"

## Description

Use the `dbfo float-type` PI to specify the float behavior for a `sidebar` (to cause the sidebar to be displayed as a marginal note).

## Parameters

float-type="margin.note"

  Specifies that the `sidebar` should be displayed as a marginal note.

## Related Global Parameters

`sidebar.float.type` (parameter), `sidebar.float.width` (parameter), `sidebar.properties` (attribute-set), `sidebar.title.properties` (attribute-set)

## Related Information in DocBook XSL: The Complete Guide

A sidebar as side float

# dbfo_funcsynopsis-style

Specifies presentation style for a funcsynopsis

    dbfo funcsynopsis-style="kr"|"ansi"

## Description

Use the `dbfo funcsynopsis-style` PI as a child of a `funcsynopsis` or anywhere within a funcsynopsis to control the presentation style for output of all `funcprototype` instances within that funcsynopsis.

## Parameters

funcsynopsis-style="kr"

  Displays `funcprototype` output in K&R style

funcsynopsis-style="ansi"

  Displays `funcprototype` output in ANSI style

## Related Global Parameters

`funcsynopsis.style`

# dbfo_glossary-presentation

Specifies presentation style for a glossary

    dbfo glossary-presentation="list"|"blocks"

## Description

Use the `dbfo glossary-presentation` PI as a child of a `glossary` to control its presentation style.

## Parameters

glossary-presentation="list"

  Displays the glossary as a list

glossary-presentation="blocks"

  Displays the glossary as blocks

## Related Global Parameters

`glossary.as.blocks`

## Related Information in DocBook XSL: The Complete Guide

Glossary formatting in print

# dbfo_glosslist-presentation

Specifies presentation style for a glosslist

    dbfo glosslist-presentation="list"|"blocks"

## Description

Use the `dbfo glosslist-presentation` PI as a child of a `glosslist` to control its presentation style.

## Parameters

glosslist-presentation="list"

  Displays the glosslist as a list

glosslist-presentation="blocks"

  Displays the glosslist as blocks

## Related Global Parameters

`glosslist.as.blocks`

## Related Information in DocBook XSL: The Complete Guide

Glossary formatting in print

# dbfo_glossterm-width

Specifies the glossterm width for a glossary or glosslist

    dbfo glossterm-width="width"

## Description

Use the `dbfo glossterm-width` PI as a child of a `glossary` or `glosslist` to specify the width for output of `glossterm` instances in the output.

## Parameters

glossterm-width="width"

  Specifies the glossterm width (including units)

## Related Global Parameters

`glossterm.width`, `glossterm.separation`

## Related Information in DocBook XSL: The Complete Guide

Glossary formatting in print

# dbfo_keep-together

Specifies “keep” behavior for a table, example, figure, equation, procedure, or task

    dbfo keep-together="auto"|"always"

## Description

Use the `dbfo keep-together` PI as a child of a formal object (`table`, `example`, `figure`, `equation`, `procedure`, or `task`) to specify “keep” behavior (to allow the object to “break” across a page).

The PI also works with `informaltable`, `informalexample`, `informalfigure` and `informalequation`.

## Parameters

keep-together="auto"

  Enables the object to break across a page

keep-together="always"

  Prevents the object from breaking across a page (the default stylesheet behavior)

## Related Global Parameters

formal.object.properties

## Related Information in DocBook XSL: The Complete Guide

Keep-together processing instruction

# dbfo_label-width

Specifies the label width for a qandaset, itemizedlist, orderedlist or calloutlist

    dbfo label-width="width"

## Description

Use the `dbfo label-width` PI as a child of a `qandaset`, `itemizedlist`, `orderedlist`, or `calloutlist` to specify the width of labels.

## Parameters

label-width="width"

  Specifies the label width (including units)

## Related Information in DocBook XSL: The Complete Guide

Q and A formatting

# dbfo_linenumbering.everyNth

Specifies interval for line numbers in verbatims

    dbfo linenumbering.everyNth="N"

## Description

Use the `dbfo linenumbering.everyNth` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the interval at which lines are numbered.

## Parameters

linenumbering.everyNth="N"

  Specifies numbering interval; a number is output before every Nth line

## Related Global Parameters

`linenumbering.everyNth`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbfo_linenumbering.separator

Specifies separator text for line numbers in verbatims

    dbfo linenumbering.separator="text"

## Description

Use the `dbfo linenumbering.separator` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the separator text output between the line numbers and content.

## Parameters

linenumbering.separator="text"

  Specifies the text (zero or more characters)

## Related Global Parameters

`linenumbering.separator`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbfo_linenumbering.width

Specifies width for line numbers in verbatims

    dbfo linenumbering.width="width"

## Description

Use the `dbfo linenumbering.width` PI as a child of a “verbatim” element – `programlisting`, `screen`, `synopsis` — to specify the width set aside for line numbers.

## Parameters

linenumbering.width="width"

  Specifies the width (inluding units)

## Related Global Parameters

`linenumbering.width`

## Related Information in DocBook XSL: The Complete Guide

Line numbering

# dbfo_list-presentation

Specifies presentation style for a variablelist or segmentedlist

    dbfo list-presentation="list"|"blocks"|"table"

## Description

Use the `dbfo list-presentation` PI as a child of a `variablelist` or `segmentedlist` to control the presentation style for the list (to cause it, for example, to be displayed as a table).

## Parameters

list-presentation="list"

  Displays the list as a list

list-presentation="blocks"

  (`variablelist` only) Displays the list as blocks

list-presentation="table"

  (`segmentedlist` only) Displays the list as a table

## Related Global Parameters

- `variablelist.as.blocks`

- `variablelist.as.table`

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in print

# dbfo_list-width

Specifies the width of a horizontal simplelist

    dbfo list-width="width"

## Description

Use the `dbfo list-width` PI as a child of a `simplelist` whose `class` value is `horizontal`, to specify the width of the `simplelist`.

## Parameters

list-width="width"

  Specifies the `simplelist` width (including units)

# dbfo_orientation

Specifies the orientation for a CALS table row or cell

    dbfo orientation="0"|"90"|"180"|"270"|"-90"|"-180"|"-270"

## Description

Use the `dbfo orientation` PI as a child of a CALS `table` row or cell to specify the orientation (rotation) for the row or cell.

## Parameters

orientation="0"|"90"|"180"|"270"|"-90"|"-180"|"-270"

  Specifies the number of degrees by which the cell or row is rotated

# dbfo_pgwide

Specifies if an `equation` or `example` goes across full page width

    dbfo pgwide="0"|"1"

## Description

Use the `dbfo pgwide` PI as a child of an `equation` or `example` to specify that the content should rendered across the full width of the page.

## Parameters

pgwide="0"

  If zero, the content is rendered across the current text flow

pgwide="1"

  If `1` (or any non-zero value), the content is rendered across the full width of the page

## Related Global Parameters

`pgwide.properties`

# dbfo_rotated-width

Specifies the width for a CALS table `entry` or `row`

    dbfo rotated-width="width"

## Description

Use the `dbfo rotated-width` PI as a child of `entry` or `row` instance in a CALS table to specify the width of that the `entry` or `row`; or use it higher up in table to cause the width to be inherited recursively down.

## Parameters

rotated-width="width"

  Specifies the width of a row or cell (including units)

# dbfo_sidebar-width

Specifies the width of a sidebar

    dbfo sidebar-width="width"

## Description

Use the `dbfo sidebar-width` PI as a child of a `sidebar` to specify the width of the sidebar.

## Parameters

sidebar-width="width"

  Specifies the `sidebar` width (including units)

## Related Global Parameters

`sidebar.float.type parameter`, `sidebar.float.width parameter`, `sidebar.properties attribute-set`, `sidebar.title.properties`

## Related Information in DocBook XSL: The Complete Guide

A sidebar as side float

# dbfo_start

(obsolete) Sets the starting number on an ordered list

    dbfo start="character"

## Description

This PI is obsolete. The intent of it was to provide a means for setting a specific starting number for an ordered list. Instead of this PI, set a value for the `override` attribute on the first `listitem` in the list; that will have the same effect as what this PI was intended for.

## Parameters

start="character"

  Specifies the character to use as the starting number; use 0-9, a-z, A-Z, or lowercase or uppercase Roman numerals

## Related Information in DocBook XSL: The Complete Guide

List starting number

# dbfo_table-width

Specifies the width for a CALS table or for revhistory output

    dbfo table-width="width"

## Description

Use the `dbfo table-width` PI as a child or sibling of a CALS `table`, or as a child of an `informaltable`, `entrytbl`, or `revhistory` instance (which is rendered as a table in output) to specify the width of the table in output.

## Parameters

table-width="width"

  Specifies the table width (including units or as a percentage)

## Related Information in DocBook XSL: The Complete Guide

Table width

# dbfo_term-width

Specifies the term width for a variablelist

    dbfo term-width="width"

## Description

Use the `dbfo term-width` PI as a child of a `variablelist` to specify the width for `term` output.

## Parameters

term-width="width"

  Specifies the term width (including units)

## Related Information in DocBook XSL: The Complete Guide

Variable list formatting in print

# dbfo_toc

Specifies whether a TOC should be generated for a qandaset

    dbfo toc="0"|"1"

## Description

Use the `dbfo toc` PI as a child of a `qandaset` to specify whether a table of contents (TOC) is generated for the `qandaset`.

## Parameters

toc="0"

  If zero, no TOC is generated

toc="1"

  If `1` (or any non-zero value), a TOC is generated

## Related Information in DocBook XSL: The Complete Guide

Q and A list of questions, Q and A formatting

# dbfo-need

Specify a need for space (a kind of soft page break)

    dbfo-need height="n" [space-before="n"]

## Description

A “need” is a request for space on a page. If the requested space is not available, the page breaks and the content that follows the need request appears on the next page. If the requested space is available, then no page break is inserted.

## Parameters

height="n"

  The amount of height needed (including units)

space-before="n"

  The amount of extra vertical space to add (including units)

## Related Information in DocBook XSL: The Complete Guide

Soft page breaks

# dbfo_row-height

Specifies the height for a CALS table row

    dbfo row-height="height"

## Description

Use the `dbfo row-height` PI as a child of a `row` to specify the height of the row.

## Parameters

row-height="height"

  Specifies the row height (including units)

## Related Information in DocBook XSL: The Complete Guide

Row height